RUSTSEC-2022-0038

Source
https://github.com/rustsec/advisory-db/blob/osv/crates/RUSTSEC-2022-0038.json
Aliases
Published
2022-07-28T12:00:00Z
Modified
2022-08-02T17:59:55Z
Details

Deeply nested fragments in a GraphQL request may cause a stack overflow in the server.

References

Affected packages

crates.io / juniper

juniper

Affected ranges

Type
SEMVER
Events
Introduced
0.0.0-0
Fixed
0.15.10

Affected versions

Ecosystem specific

{
    "affects": {
        "functions": [],
        "arch": [],
        "os": []
    }
}

Database specific

{
    "informational": null,
    "categories": [
        "denial-of-service"
    ],
    "cvss": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
}